[package]
name = "nostr-rs-rocksdb"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
nostr-rs-storage-base = { path = "../base" }
nostr-rs-types = { path = "../../types" }
rocksdb = { version = "0.20.1", features = [
    "multi-threaded-cf",
    "serde",
    "snappy",
] }
chrono = "0.4.26"
serde_json = "1.0"

[dev-dependencies]
nostr-rs-storage-base = { path = "../base", features = ["test"] }
